> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sportsapipro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Rider Endpoints

> 16 endpoints for cycling rider data: career stats, palmares, race history

## Rider Endpoints (16)

All endpoints use base URL `https://api.sportsapipro.com/v2/cycling`.

```bash theme={null}
GET /api/players/:id                    # Rider details (nationality, age, team, palmares)
GET /api/players/:id/image              # Rider photo URL
GET /api/players/:id/statistics         # Career statistics
GET /api/players/:id/statistics/seasons # Seasons with stats
GET /api/players/:id/statistics/match-type?type=overall
GET /api/players/:id/characteristics
GET /api/players/:id/national-team-statistics
GET /api/players/:id/attribute-overviews
GET /api/players/:id/last-year-summary
GET /api/players/:id/unique-tournaments
GET /api/players/:id/events/last/:page
GET /api/players/:id/events/next/:page
GET /api/players/:id/media
GET /api/players/:id/media/videos
GET /api/players/:id/tournament/:tid/season/:sid/statistics?type=overall
GET /api/players/:id/tournament/:tid/season/:sid/ratings?type=overall
GET /api/players/:id/tournament/:tid/season/:sid/summary
```

<Note>Key riders for testing: Tadej Pogačar (UAE Team Emirates), Jonas Vingegaard (Visma-Lease a Bike), Remco Evenepoel (Soudal-QuickStep), Mathieu van der Poel (Alpecin-Deceuninck).</Note>
